Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 9124)
@@ -408,5 +408,4 @@
       IF( ln_timing )   CALL timing_start('ldf_slp_triad')
       !
-      !
       !--------------------------------!
       !  Some preliminary calculation  !
@@ -644,6 +643,4 @@
       REAL(wp) ::   zck, zfk,      zbw             !   -      -
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('ldf_slp_mxl')
       !
       zeps   =  1.e-20_wp        !==   Local constant initialization   ==!
@@ -727,6 +724,4 @@
       CALL lbc_lnk_multi( uslpml , 'U', -1. , vslpml , 'V', -1. , wslpiml, 'W', -1. , wslpjml, 'W', -1. ) 
       !
-      IF( ln_timing )   CALL timing_stop('ldf_slp_mxl')
-      !
    END SUBROUTINE ldf_slp_mxl
 
@@ -743,6 +738,4 @@
       INTEGER ::   ierr         ! local integer
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('ldf_slp_init')
       !
       IF(lwp) THEN
@@ -801,6 +794,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('ldf_slp_init')
-      !
    END SUBROUTINE ldf_slp_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 9124)
@@ -30,5 +30,4 @@
    USE lib_mpp         ! distribued memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE timing          ! timing
 
    IMPLICIT NONE
@@ -492,6 +491,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('ldf_eiv')
-      !
       zn   (:,:) = 0._wp      ! Local initialization
       zhw  (:,:) = 5._wp
@@ -571,6 +568,4 @@
       END DO
       !  
-      IF( ln_timing )   CALL timing_stop('ldf_eiv')
-      !
    END SUBROUTINE ldf_eiv
 
@@ -607,6 +602,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start( 'ldf_eiv_trp')
-      !
       IF( kt == kit000 )  THEN
          IF(lwp) WRITE(numout,*)
@@ -650,6 +643,4 @@
       IF( ln_ldfeiv_dia .AND. cdtype == 'TRA' )   CALL ldf_eiv_dia( zpsi_uw, zpsi_vw )
       !
-      IF( ln_timing )   CALL timing_stop( 'ldf_eiv_trp')
-      !
     END SUBROUTINE ldf_eiv_trp
 
@@ -675,6 +666,4 @@
 !!gm I don't like this routine....   Crazy  way of doing things, not optimal at all...
 !!gm     to be redesigned....   
-      IF( ln_timing )   CALL timing_start( 'ldf_eiv_dia')
-      !
       !                                                  !==  eiv stream function: output  ==!
       CALL lbc_lnk_multi( psi_uw, 'U', -1. , psi_vw, 'V', -1. )
@@ -780,6 +769,4 @@
       !
       !
-      IF( ln_timing )   CALL timing_stop( 'ldf_eiv_dia')      
-      !
    END SUBROUTINE ldf_eiv_dia
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90	(revision 9124)
@@ -57,5 +57,4 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! distribued memory computing library
-   USE timing         ! Timing
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE prtctl         ! Print control
@@ -383,6 +382,4 @@
       !!---------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('blk_oce')
-      !
       ! local scalars ( place there for vector optimisation purposes)
       zst(:,:) = pst(:,:) + rt0      ! convert SST from Celcius to Kelvin (and set minimum value far above 0 K)
@@ -564,6 +561,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('blk_oce')
-      !
    END SUBROUTINE blk_oce
 
@@ -713,6 +708,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   zrhoa     ! transfer coefficient for momentum      (tau)
       !!---------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('blk_ice_tau')
       !
       ! set transfer coefficients to default sea-ice values
@@ -811,6 +804,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('blk_ice_tau')
-      !
    END SUBROUTINE blk_ice_tau
 
@@ -845,6 +836,4 @@
       REAL(wp), DIMENSION(jpi,jpj)     ::   zrhoa
       !!---------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('blk_ice_flx')
       !
       zcoef_dqlw = 4.0 * 0.95 * Stef             ! local scalars
@@ -965,6 +954,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('blk_ice_flx')
-      !
    END SUBROUTINE blk_ice_flx
    
@@ -1002,6 +989,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   zgfac   ! enhanced conduction factor
       !!---------------------------------------------------------------------
-
-      IF( ln_timing )  CALL timing_start('blk_ice_qcn')
       
       ! -------------------------------------!
@@ -1065,6 +1050,4 @@
       END DO 
       !      
-      IF( ln_timing )  CALL timing_stop('blk_ice_qcn')
-      !
    END SUBROUTINE blk_ice_qcn
    
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_coare.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_coare.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_coare.F90	(revision 9124)
@@ -40,5 +40,4 @@
    USE lib_mpp        ! distribued memory computing library
    USE wrk_nemo       ! work arrays
-   USE timing         ! Timing
    USE prtctl         ! Print control
    USE lib_fortran    ! to use key_nosignedzero
@@ -121,6 +120,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('turb_coare')
-
       CALL wrk_alloc( jpi,jpj,   u_star, t_star, q_star, zeta_u, dt_zu, dq_zu)
       CALL wrk_alloc( jpi,jpj,   znu_a, z0, z0t, ztmp0, ztmp1, ztmp2 )
@@ -254,7 +251,5 @@
       CALL wrk_dealloc( jpi,jpj, znu_a, z0, z0t, ztmp0, ztmp1, ztmp2 )
       IF( .NOT. l_zt_equal_zu ) CALL wrk_dealloc( jpi,jpj, zeta_t )
-
-      IF( nn_timing == 1 )  CALL timing_stop('turb_coare')
-
+      !
    END SUBROUTINE turb_coare
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_coare3p5.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_coare3p5.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_coare3p5.F90	(revision 9124)
@@ -39,5 +39,4 @@
    USE lib_mpp         ! distribued memory computing library
    USE wrk_nemo        ! work arrays
-   USE timing          ! Timing
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
@@ -122,6 +121,4 @@
       !!----------------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('turb_coare3p5')
-
       CALL wrk_alloc( jpi,jpj, u_star, t_star, q_star, zeta_u, dt_zu, dq_zu)
       CALL wrk_alloc( jpi,jpj, znu_a, z0, z0t, ztmp0, ztmp1, ztmp2 )
@@ -262,7 +259,5 @@
       CALL wrk_dealloc( jpi,jpj, znu_a, z0, z0t, ztmp0, ztmp1, ztmp2 )
       IF( .NOT. l_zt_equal_zu ) CALL wrk_dealloc( jpi,jpj, zeta_t )
-
-      IF( nn_timing == 1 )  CALL timing_stop('turb_coare3p5')
-
+      !
    END SUBROUTINE turb_coare3p5
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_ecmwf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_ecmwf.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_ecmwf.F90	(revision 9124)
@@ -33,5 +33,4 @@
    USE lib_mpp         ! distribued memory computing library
    USE wrk_nemo        ! work arrays
-   USE timing          ! Timing
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
@@ -128,6 +127,4 @@
       !!----------------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('turb_ecmwf')
-      !
       CALL wrk_alloc( jpi,jpj,   u_star, t_star, q_star, func_m, func_h, dt_zu, dq_zu, Linv )
       CALL wrk_alloc( jpi,jpj,   znu_a, z0, z0t, z0q, ztmp0, ztmp1, ztmp2 )
@@ -292,6 +289,4 @@
       CALL wrk_dealloc( jpi,jpj,   znu_a, z0, z0t, z0q, ztmp0, ztmp1, ztmp2 )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('turb_ecmwf')
-      !
    END SUBROUTINE TURB_ECMWF
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_ncar.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_ncar.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_algo_ncar.F90	(revision 9124)
@@ -35,5 +35,4 @@
    USE lib_mpp         ! distribued memory computing library
    USE wrk_nemo        ! work arrays
-   USE timing          ! Timing
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
@@ -127,6 +126,4 @@
       !!----------------------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('turb_ncar')
-      !
       CALL wrk_alloc( jpi,jpj,   Cx_n10, sqrt_Cd_n10, zeta_u, stab )
       CALL wrk_alloc( jpi,jpj,   zpsi_h_u, ztmp0, ztmp1, ztmp2 )
@@ -229,6 +226,4 @@
       CALL wrk_dealloc( jpi,jpj,   zpsi_h_u, ztmp0, ztmp1, ztmp2 )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('turb_ncar')
-      !
    END SUBROUTINE turb_ncar
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 9124)
@@ -47,5 +47,4 @@
    USE iom            ! NetCDF library
    USE lib_mpp        ! distribued memory computing library
-   USE timing         ! Timing
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
 
@@ -258,6 +257,4 @@
 
       !!---------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_init')
       !
       ! ================================ !
@@ -1046,7 +1043,4 @@
          &   CALL ctl_stop( 'sbc_cpl_init: diurnal cycle reconstruction (ln_dm2dc) needs daily couping for solar radiation' )
       IF( ln_dm2dc .AND. ln_cpl ) ncpl_qsr_freq = 86400 / ncpl_qsr_freq
-
-      !
-      IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_init')
       !
    END SUBROUTINE sbc_cpl_init
@@ -1114,6 +1108,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   ztx, zty, zmsk, zemp, zqns, zqsr
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_rcv')
       !
       IF( ln_mixcpl )   zmsk(:,:) = 1. - xcplmask(:,:,0)
@@ -1453,6 +1445,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_rcv')
-      !
    END SUBROUTINE sbc_cpl_rcv
    
@@ -1498,6 +1488,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   ztx, zty 
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_ice_tau')
       !
       IF( srcv(jpr_itx1)%laction ) THEN   ;   itx =  jpr_itx1   
@@ -1658,6 +1646,4 @@
 
       ENDIF
-      !   
-      IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_ice_tau')
       !
    END SUBROUTINE sbc_cpl_ice_tau
@@ -1730,6 +1716,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('sbc_cpl_ice_flx')
-      !
       IF( ln_mixcpl )   zmsk(:,:) = 1. - xcplmask(:,:,0)
       ziceld(:,:) = 1._wp - picefr(:,:)
@@ -2113,5 +2097,4 @@
       !
 #endif
-      IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_ice_flx')
       !
    END SUBROUTINE sbc_cpl_ice_flx
@@ -2135,6 +2118,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   ztmp3, ztmp4   
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )   CALL timing_start('sbc_cpl_snd')
       !
       isec = ( kt - nit000 ) * NINT( rdt )        ! date of exchanges
@@ -2713,6 +2694,4 @@
 #endif
       !
-      IF( nn_timing == 1 )   CALL timing_stop('sbc_cpl_snd')
-      !
    END SUBROUTINE sbc_cpl_snd
    
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcdcy.F90	(revision 9124)
@@ -16,7 +16,7 @@
    USE dom_oce          ! ocean space and time domain
    USE sbc_oce          ! Surface boundary condition: ocean fields
+   !
    USE in_out_manager   ! I/O manager
    USE lib_mpp          ! MPP library
-   USE timing           ! Timing
 
    IMPLICIT NONE
@@ -63,6 +63,7 @@
       !!              Part 1: a diurnally forced OGCM. Climate Dynamics 29:6, 575-590.
       !!----------------------------------------------------------------------
-      LOGICAL, OPTIONAL, INTENT(in) :: l_mask ! use the routine for night mask computation
+      LOGICAL , OPTIONAL          , INTENT(in) ::   l_mask    ! use the routine for night mask computation
       REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   pqsrin    ! input daily QSR flux 
+      REAL(wp), DIMENSION(jpi,jpj)             ::   zqsrout   ! output QSR flux with diurnal cycle
       !!
       INTEGER  ::   ji, jj                                       ! dummy loop indices
@@ -73,5 +74,4 @@
       REAL(wp) ::   ztmp, ztmp1, ztmp2, ztest
       REAL(wp) ::   ztmpm, ztmpm1, ztmpm2
-      REAL(wp), DIMENSION(jpi,jpj) ::   zqsrout                  ! output QSR flux with diurnal cycle
       !---------------------------statement functions------------------------
       REAL(wp) ::   fintegral, pt1, pt2, paaa, pbbb, pccc        ! dummy statement function arguments
@@ -80,6 +80,4 @@
          & - paaa * pt1 - zinvtwopi * pbbb * SIN(pccc + ztwopi * pt1)
       !!---------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('sbc_dcy')
       !
       ! Initialization
@@ -199,5 +197,5 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-            ztmpm = 0.0
+            ztmpm = 0._wp
             IF( ABS(rab(ji,jj)) < 1. ) THEN         ! day duration is less than 24h
                !
@@ -241,10 +239,8 @@
       END DO  
       !
-      IF ( PRESENT(l_mask) .AND. l_mask ) THEN
+      IF( PRESENT(l_mask) .AND. l_mask ) THEN
          zqsrout(:,:) = float(imask_night(:,:))
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('sbc_dcy')
-      !
    END FUNCTION sbc_dcy
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcfwb.F90	(revision 9124)
@@ -25,6 +25,4 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! distribued memory computing library
-   USE wrk_nemo       ! work arrays
-   USE timing         ! Timing
    USE lbclnk         ! ocean lateral boundary conditions
    USE lib_fortran    ! 
@@ -70,11 +68,7 @@
       REAL(wp) ::   z_fwf, z_fwf_nsrf, zsum_fwf, zsum_erp                ! local scalars
       REAL(wp) ::   zsurf_neg, zsurf_pos, zsurf_tospread, zcoef          !   -      -
-      REAL(wp), POINTER, DIMENSION(:,:) ::   ztmsk_neg, ztmsk_pos, z_wgt ! 2D workspaces
-      REAL(wp), POINTER, DIMENSION(:,:) ::   ztmsk_tospread, zerp_cor    !   -      -
+      REAL(wp), ALLOCATABLE, DIMENSION(:,:) ::   ztmsk_neg, ztmsk_pos, z_wgt ! 2D workspaces
+      REAL(wp), ALLOCATABLE, DIMENSION(:,:) ::   ztmsk_tospread, zerp_cor    !   -      -
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('sbc_fwb')
-      !
-      CALL wrk_alloc( jpi,jpj, ztmsk_neg, ztmsk_pos, ztmsk_tospread, z_wgt, zerp_cor )
       !
       IF( kt == nit000 ) THEN
@@ -154,4 +148,6 @@
       CASE ( 3 )                             !==  global fwf set to zero and spread out over erp area  ==!
          !
+         ALLOCATE( ztmsk_neg(jpi,jpj) , ztmsk_pos(jpi,jpj) , ztmsk_tospread(jpi,jpj) , z_wgt(jpi,jpj) , zerp_cor(jpi,jpj) )
+         !
          IF( MOD( kt-1, kn_fsbc ) == 0 ) THEN
             ztmsk_pos(:,:) = tmask_i(:,:)                      ! Select <0 and >0 area of erp
@@ -203,4 +199,5 @@
             ENDIF
          ENDIF
+         DEALLOCATE( ztmsk_neg , ztmsk_pos , ztmsk_tospread , z_wgt , zerp_cor )
          !
       CASE DEFAULT                           !==  you should never be there  ==!
@@ -209,8 +206,4 @@
       END SELECT
       !
-      CALL wrk_dealloc( jpi,jpj, ztmsk_neg, ztmsk_pos, ztmsk_tospread, z_wgt, zerp_cor )
-      !
-      IF( nn_timing == 1 )  CALL timing_stop('sbc_fwb')
-      !
    END SUBROUTINE sbc_fwb
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 9124)
@@ -19,5 +19,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE wrk_nemo        ! work arrays
-   USE timing          ! Timing
    USE daymod          ! calendar
    USE fldread         ! read input fields
@@ -127,6 +126,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('sbc_ice_cice')
-      !
       !                                        !----------------------!
       IF( MOD( kt-1, nn_fsbc ) == 0 ) THEN     !  Ice time-step only  !
@@ -148,6 +145,4 @@
       ENDIF                                          ! End sea-ice time step only
       !
-      IF( nn_timing == 1 )  CALL timing_stop('sbc_ice_cice')
-
    END SUBROUTINE sbc_ice_cice
 
@@ -164,6 +159,4 @@
       INTEGER  ::   ji, jj, jl, jk                    ! dummy loop indices
       !!---------------------------------------------------------------------
-
-      IF( nn_timing == 1 )  CALL timing_start('cice_sbc_init')
       !
       CALL wrk_alloc( jpi,jpj, ztmp1, ztmp2 )
@@ -281,6 +274,4 @@
       CALL wrk_dealloc( jpi,jpj, ztmp1, ztmp2 )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('cice_sbc_init')
-      !
    END SUBROUTINE cice_sbc_init
 
@@ -299,6 +290,4 @@
       REAL(wp) ::   zintb, zintn  ! dummy argument
       !!---------------------------------------------------------------------
-
-      IF( nn_timing == 1 )  CALL timing_start('cice_sbc_in')
       !
       CALL wrk_alloc( jpi,jpj, ztmp, zpice )
@@ -507,6 +496,4 @@
       CALL wrk_dealloc( jpi,jpj,ncat, ztmpn )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('cice_sbc_in')
-      !
    END SUBROUTINE cice_sbc_in
 
@@ -523,6 +510,4 @@
       REAL(wp), DIMENSION(:,:), POINTER :: ztmp1, ztmp2
       !!---------------------------------------------------------------------
-
-      IF( nn_timing == 1 )  CALL timing_start('cice_sbc_out')
       !
       CALL wrk_alloc( jpi,jpj, ztmp1, ztmp2 )
@@ -680,6 +665,4 @@
       CALL wrk_dealloc( jpi,jpj, ztmp1, ztmp2 )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('cice_sbc_out')
-      !
    END SUBROUTINE cice_sbc_out
 
@@ -691,11 +674,10 @@
       !! 
       !!
+      !!---------------------------------------------------------------------
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
-      !!---------------------------------------------------------------------
-
+      !!
       INTEGER  ::   jl                        ! dummy loop index
       INTEGER  ::   ierror
-
-      IF( nn_timing == 1 )  CALL timing_start('cice_sbc_hadgam')
+      !!---------------------------------------------------------------------
       !
       IF( kt == nit000 )  THEN
@@ -722,6 +704,4 @@
       END DO
       !
-      IF( nn_timing == 1 )  CALL timing_stop('cice_sbc_hadgam')
-      !
    END SUBROUTINE cice_sbc_hadgam
 
@@ -732,10 +712,11 @@
       !! ** Purpose: Finalize CICE
       !!---------------------------------------------------------------------
-
+      !
       IF(lwp) WRITE(numout,*)'cice_sbc_final'
-
+      !
       CALL CICE_Finalize
-
+      !
    END SUBROUTINE cice_sbc_final
+
 
    SUBROUTINE cice_sbc_force (kt)
@@ -755,10 +736,8 @@
       !! History :
       !!----------------------------------------------------------------------
-      !! * Modules used
       USE iom
-
-      !! * arguments
-      INTEGER, INTENT( in  ) ::   kt ! ocean time step
-
+      !!
+      INTEGER, INTENT( in  ) ::   kt   ! ocean time step
+      !!
       INTEGER  ::   ierror             ! return error code
       INTEGER  ::   ifpr               ! dummy loop index
@@ -769,5 +748,4 @@
       TYPE(FLD_N) ::   sn_top1, sn_top2, sn_top3, sn_top4, sn_top5
       TYPE(FLD_N) ::   sn_bot1, sn_bot2, sn_bot3, sn_bot4, sn_bot5 
-
       !!
       NAMELIST/namsbc_cice/ cn_dir, sn_snow, sn_rain, sn_sblm,   &
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 9124)
@@ -24,5 +24,4 @@
    USE fldread        ! read input field at current time step
    USE lbclnk         !
-   USE timing         ! Timing
    USE lib_fortran    ! glob_sum
 
@@ -409,6 +408,4 @@
       REAL(wp) :: zpress     ! pressure to compute the freezing point in depth
       !!----------------------------------------------------------------------
-
-      IF( nn_timing == 1 )   CALL timing_start('sbc_isf_bg03')
       !
       DO ji = 1, jpi
@@ -441,6 +438,4 @@
       END DO
       !
-      IF( nn_timing == 1 )   CALL timing_stop('sbc_isf_bg03')
-      !
   END SUBROUTINE sbc_isf_bg03
 
@@ -473,4 +468,5 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   zfwflx, zhtflx, zhtflx_b
       !!---------------------------------------------------------------------
+      !
       ! coeficient for linearisation of potential tfreez
       ! Crude approximation for pressure (but commonly used)
@@ -478,5 +474,4 @@
       zlamb2 = 0.0832_wp
       zlamb3 =-7.53e-08_wp * grav * rau0
-      IF( nn_timing == 1 )  CALL timing_start('sbc_isf_cav')
       !
       ! initialisation
@@ -571,6 +566,4 @@
       CALL iom_put('isfgammas', zgammas)
       ! 
-      IF( nn_timing == 1 )  CALL timing_stop('sbc_isf_cav')
-      !
    END SUBROUTINE sbc_isf_cav
 
@@ -585,9 +578,9 @@
       !!                Jenkins et al., 2010, JPO, p2298-2312
       !!---------------------------------------------------------------------
-      REAL(wp), DIMENSION(:,:), INTENT(out) :: pgt, pgs
-      REAL(wp), DIMENSION(:,:), INTENT(in ) :: pqhisf, pqwisf
-      !
-      INTEGER  :: ikt                        
+      REAL(wp), DIMENSION(:,:), INTENT(  out) ::   pgt   , pgs      ! 
+      REAL(wp), DIMENSION(:,:), INTENT(in   ) ::   pqhisf, pqwisf   ! 
+      !
       INTEGER  :: ji, jj                     ! loop index
+      INTEGER  :: ikt                        ! local integer
       REAL(wp) :: zdku, zdkv                 ! U, V shear 
       REAL(wp) :: zPr, zSc, zRc              ! Prandtl, Scmidth and Richardson number 
@@ -615,8 +608,12 @@
          !! Jenkins et al., 2010, JPO, p2298-2312
          !! Adopted by Asay-Davis et al. (2015)
-!!gm  I don't understand the u* expression in those papers... (see for example zdfglf module)
-!!    for me ustar= Cd0 * |U|  not  (Cd0)^1/2 * |U| ....  which is what you can find in Jenkins et al.
-
-         !! compute ustar (eq. 24)           !! NB: here r_Cdmin_top = rn_Cd0 read in namdrg_top namelist)
+         !! compute ustar (eq. 24)
+!!gm  NB  use pCdU here so that it will incorporate local boost of Cd0 and log layer case :
+!!         zustar(:,:) = SQRT( rCdU_top(:,:) * SQRT(utbl(:,:) * utbl(:,:) + vtbl(:,:) * vtbl(:,:) + r_ke0_top) )
+!! or better :  compute ustar in zdfdrg  and use it here as well as in TKE, GLS and Co
+!!
+!!     ===>>>>    GM  to be done this chrismas
+!!         
+!!gm end
          zustar(:,:) = SQRT( r_Cdmin_top * (utbl(:,:) * utbl(:,:) + vtbl(:,:) * vtbl(:,:) + r_ke0_top) )
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 9124)
@@ -365,5 +365,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('sbc')
+      IF( ln_timing )   CALL timing_start('sbc')
       !
       !                                            ! ---------------------------------------- !
@@ -518,5 +518,5 @@
       IF( kt == nitend )   CALL sbc_final         ! Close down surface module if necessary
       !
-      IF( nn_timing == 1 )  CALL timing_stop('sbc')
+      IF( ln_timing )   CALL timing_stop('sbc')
       !
    END SUBROUTINE sbc
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 9124)
@@ -23,5 +23,4 @@
    USE lib_mpp        ! distribued memory computing library
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE timing         ! Timing
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
@@ -80,6 +79,4 @@
       TYPE(FLD_N) ::   sn_sst, sn_sss        ! informations about the fields to be read
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('sbc_ssr')
       !
       IF( nn_sstr + nn_sssr /= 0 ) THEN
@@ -136,6 +133,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('sbc_ssr')
-      !
    END SUBROUTINE sbc_ssr
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen.F90	(revision 9124)
@@ -23,5 +23,4 @@
    USE trc_oce        ! share passive tracers/Ocean variables
    USE lib_mpp        ! MPP library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -81,6 +80,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_adv_cen')
-      !
       IF( kt == kit000 )  THEN
          IF(lwp) WRITE(numout,*)
@@ -205,6 +202,4 @@
       END DO
       !
-      IF( ln_timing )   CALL timing_stop('tra_adv_cen')
-      !
    END SUBROUTINE tra_adv_cen
    
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_fct.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_fct.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_fct.F90	(revision 9124)
@@ -27,5 +27,4 @@
    USE lbclnk         ! ocean lateral boundary condition (or mpp link) 
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -88,6 +87,4 @@
       REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::   ztrdx, ztrdy, ztrdz, zptry
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('tra_adv_fct')
       !
       IF( kt == kit000 )  THEN
@@ -324,6 +321,4 @@
       END DO                     ! end of tracer loop
       !
-      IF( ln_timing )   CALL timing_stop('tra_adv_fct')
-      !
    END SUBROUTINE tra_adv_fct
 
@@ -353,6 +348,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('nonosc')
-      !
       zbig  = 1.e+40_wp
       zrtrn = 1.e-15_wp
@@ -428,6 +421,4 @@
       END DO
       CALL lbc_lnk_multi( paa, 'U', -1. , pbb, 'V', -1. )   ! lateral boundary condition (changed sign)
-      !
-      IF( ln_timing )   CALL timing_stop('nonosc')
       !
    END SUBROUTINE nonosc
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 9124)
@@ -16,9 +16,8 @@
    USE zdfmxl         ! mixed layer depth
    !
-   USE lbclnk         ! lateral boundary condition / mpp link
    USE in_out_manager ! I/O manager
    USE iom            ! IOM library
    USE lib_mpp        ! MPP library
-   USE timing         ! Timing
+   USE lbclnk         ! lateral boundary condition / mpp link
 
    IMPLICIT NONE
@@ -95,6 +94,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_adv_mle')
-      !
       !                                      !==  MLD used for MLE  ==!
       !                                                ! compute from the 10m density to deal with the diurnal cycle
@@ -248,6 +245,4 @@
          CALL iom_put( "psiv_mle", zpsi_vw )    ! j-mle streamfunction
       ENDIF
-      !
-      IF( ln_timing )   CALL timing_stop('tra_adv_mle')
       !
    END SUBROUTINE tra_adv_mle
